#[doc = "Register `PWR_RSVD_TRIM` reader"]
pub struct R(crate::R<PWR_RSVD_TRIM_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<PWR_RSVD_TRIM_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<PWR_RSVD_TRIM_SPEC>> for R {
    fn from(reader: crate::R<PWR_RSVD_TRIM_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `PWR_RSVD_TRIM` writer"]
pub struct W(crate::W<PWR_RSVD_TRIM_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<PWR_RSVD_TRIM_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<PWR_RSVD_TRIM_SPEC>> for W {
    fn from(writer: crate::W<PWR_RSVD_TRIM_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `RSVD_TRIM` reader - Reserved, unused registers."]
pub struct RSVD_TRIM_R(crate::FieldReader<u8, u8>);
impl RSVD_TRIM_R {
    pub(crate) fn new(bits: u8) -> Self {
        RSVD_TRIM_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for RSVD_TRIM_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `RSVD_TRIM` writer - Reserved, unused registers."]
pub struct RSVD_TRIM_W<'a> {
    w: &'a mut W,
}
impl<'a> RSVD_TRIM_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x0f) | (value as u32 & 0x0f);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:3 - Reserved, unused registers."]
    #[inline(always)]
    pub fn rsvd_trim(&self) -> RSVD_TRIM_R {
        RSVD_TRIM_R::new((self.bits & 0x0f) as u8)
    }
}
impl W {
    #[doc = "Bits 0:3 - Reserved, unused registers."]
    #[inline(always)]
    pub fn rsvd_trim(&mut self) -> RSVD_TRIM_W {
        RSVD_TRIM_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Reserved, unused registers\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [pwr_rsvd_trim](index.html) module"]
pub struct PWR_RSVD_TRIM_SPEC;
impl crate::RegisterSpec for PWR_RSVD_TRIM_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [pwr_rsvd_trim::R](R) reader structure"]
impl crate::Readable for PWR_RSVD_TRIM_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [pwr_rsvd_trim::W](W) writer structure"]
impl crate::Writable for PWR_RSVD_TRIM_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets PWR_RSVD_TRIM to value 0"]
impl crate::Resettable for PWR_RSVD_TRIM_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
